This reference is for Processing 2.0+. If you have a previous version, use the reference included with your software. If you see any errors or have suggestions, please let us know. If you prefer a more technical reference, visit the Processing Javadoc.

Class | PVector
Name | ### limit()
Examples |
    PVector v = new PVector(10, 20, 2);
    v.limit(5);
    println(v);  // Prints "[ 2.2271771, 4.4543543, 0.4454354 ]"
Description | Limit the magnitude of this vector to the value used for the max parameter.
Syntax |
    .limit(max)
Parameters |
max | float: the maximum magnitude for the vector
Returns | void

Updated on October 26, 2013 08:58:33pm PDT